experiments.droneControl

## Class AMOEBA_UI

- java.lang.Object
- - experiments.droneControl.AMOEBA_UI

    public class AMOEBA_UI
    extends java.lang.Object

The Class AMOEBA_UI.

### Constructor Summary

Constructors
Constructor and Description
`AMOEBA_UI(boolean viewer, java.lang.String percepts)` Instantiates a new amoeba ui.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.ArrayList<Percept>` `getAllPercepts()` Gets the all percepts.
`java.lang.String` `getBestContextId()` Gets the best context id.
`java.lang.String` `getBestContextMessage()` Gets the best context message.
`java.util.HashMap<java.lang.String,java.lang.Double>` `getBestContextPerceptCenter()` Gets the best context percept center.
`java.util.HashMap<Percept,Range>` `getRanges()` Gets the ranges.
`void` `learn(java.util.HashMap<java.lang.String,java.lang.Double> actions)` Learn.
`double` `request(java.util.HashMap<java.lang.String,java.lang.Double> actions)` Request.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AMOEBA_UI

    public AMOEBA_UI(boolean viewer,
                     java.lang.String percepts)

Instantiates a new amoeba ui.

Parameters:
  `viewer` - the viewer
  `percepts` - the percepts

### Method Detail

#### learn

    public void learn(java.util.HashMap<java.lang.String,java.lang.Double> actions)

Learn.

Parameters:
  `actions` - the actions

#### request

    public double request(java.util.HashMap<java.lang.String,java.lang.Double> actions)

Request.

Parameters:
  `actions` - the actions
Returns:
  the double

#### getAllPercepts

    public java.util.ArrayList<Percept> getAllPercepts()

Gets the all percepts.

Returns:
  the all percepts

#### getRanges

    public java.util.HashMap<Percept,Range> getRanges()

Gets the ranges.

Returns:
  the ranges

#### getBestContextId

    public java.lang.String getBestContextId()

Gets the best context id.

Returns:
  the best context id

#### getBestContextPerceptCenter

    public java.util.HashMap<java.lang.String,java.lang.Double> getBestContextPerceptCenter()

Gets the best context percept center.

Returns:
  the best context percept center

#### getBestContextMessage

    public java.lang.String getBestContextMessage()

Gets the best context message.

Returns:
  the best context message